std::uniform_real_distribution< _RealType > Class Template Reference
Numerics » Random Number Generation » Random Number Distributions » Uniform Distributions

`#include <random>`

## Classes

struct | param_type

## Public Types

typedef _RealType | result_type

## Public Member Functions

| uniform_real_distribution ()
| uniform_real_distribution (_RealType __a, _RealType __b=_RealType(1))
| uniform_real_distribution (const param_type &__p)
template<typename _ForwardIterator, typename _UniformRandomNumberGenerator>
void | __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator, typename _UniformRandomNumberGenerator>
void | __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator>
void | __generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
result_type | a () const
result_type | b () const
result_type | max () const
result_type | min () const
template<typename _UniformRandomNumberGenerator>
result_type | operator() (_UniformRandomNumberGenerator &__urng)
template<typename _UniformRandomNumberGenerator>
result_type | operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
param_type | param () const
void | param (const param_type &__param)
void | reset ()

## Friends

bool | operator== (const uniform_real_distribution &__d1, const uniform_real_distribution &__d2)

## Detailed Description

template<typename _RealType = double>
class std::uniform_real_distribution< _RealType >

Uniform continuous distribution for random numbers.

A continuous random distribution on the range [min, max) with equal probability throughout the range. The URNG should be real-valued and deliver number in the range [0, 1).

Since
  C++11

Definition at line 2492 of file random.h.

## Member Typedef Documentation

## result_type

template<typename _RealType = double>

typedef _RealType std::uniform_real_distribution< _RealType >::result_type

The type of the range of the distribution.

Definition at line 2499 of file random.h.

## Constructor & Destructor Documentation

## uniform_real_distribution() [1/3]

template<typename _RealType = double>

std::uniform_real_distribution< _RealType >::uniform_real_distribution | ( |  | ) |

inline

Constructs a uniform_real_distribution object.

The lower bound is set to 0.0 and the upper bound to 1.0

Definition at line 2544 of file random.h.

## uniform_real_distribution() [2/3]

template<typename _RealType = double>

std::uniform_real_distribution< _RealType >::uniform_real_distribution | ( | _RealType | __a,
|  | _RealType | __b = _RealType(1) )

inline explicit

Constructs a uniform_real_distribution object.

Parameters

  __a | [IN] The lower bound of the distribution.
  __b | [IN] The upper bound of the distribution.

Definition at line 2553 of file random.h.

## uniform_real_distribution() [3/3]

template<typename _RealType = double>

std::uniform_real_distribution< _RealType >::uniform_real_distribution | ( | const param_type & | __p | ) |

inline explicit

Definition at line 2558 of file random.h.

## Member Function Documentation

## __generate() [1/3]

template<typename _RealType = double>
template<typename _ForwardIterator, typename _UniformRandomNumberGenerator>

void std::uniform_real_distribution< _RealType >::__generate | ( | _ForwardIterator | __f,
|  | _ForwardIterator | __t,
|  | _UniformRandomNumberGenerator & | __urng )

inline

Definition at line 2628 of file random.h.

## __generate() [2/3]

template<typename _RealType = double>
template<typename _ForwardIterator, typename _UniformRandomNumberGenerator>

void std::uniform_real_distribution< _RealType >::__generate | ( | _ForwardIterator | __f,
|  | _ForwardIterator | __t,
|  | _UniformRandomNumberGenerator & | __urng,
|  | const param_type & | __p )

inline

Definition at line 2635 of file random.h.

## __generate() [3/3]

template<typename _RealType = double>
template<typename _UniformRandomNumberGenerator>

void std::uniform_real_distribution< _RealType >::__generate | ( | result_type * | __f,
|  | result_type * | __t,
|  | _UniformRandomNumberGenerator & | __urng,
|  | const param_type & | __p )

inline

Definition at line 2642 of file random.h.

## a()

template<typename _RealType = double>

result_type std::uniform_real_distribution< _RealType >::a | ( |  | ) | const

inline

Definition at line 2571 of file random.h.

## b()

template<typename _RealType = double>

result_type std::uniform_real_distribution< _RealType >::b | ( |  | ) | const

inline

Definition at line 2575 of file random.h.

## max()

template<typename _RealType = double>

result_type std::uniform_real_distribution< _RealType >::max | ( |  | ) | const

inline

Returns the inclusive upper bound of the distribution range.

Definition at line 2604 of file random.h.

## min()

template<typename _RealType = double>

result_type std::uniform_real_distribution< _RealType >::min | ( |  | ) | const

inline

Returns the inclusive lower bound of the distribution range.

Definition at line 2597 of file random.h.

## operator()() [1/2]

template<typename _RealType = double>
template<typename _UniformRandomNumberGenerator>

result_type std::uniform_real_distribution< _RealType >::operator() | ( | _UniformRandomNumberGenerator & | __urng | ) |

inline

Generating functions.

Definition at line 2612 of file random.h.

Referenced by operator()().

## operator()() [2/2]

template<typename _RealType = double>
template<typename _UniformRandomNumberGenerator>

result_type std::uniform_real_distribution< _RealType >::operator() | ( | _UniformRandomNumberGenerator & | __urng,
|  | const param_type & | __p )

inline

Definition at line 2617 of file random.h.

## param() [1/2]

template<typename _RealType = double>

param_type std::uniform_real_distribution< _RealType >::param | ( |  | ) | const

inline

Returns the parameter set of the distribution.

Definition at line 2582 of file random.h.

Referenced by std::operator>>().

## param() [2/2]

template<typename _RealType = double>

void std::uniform_real_distribution< _RealType >::param | ( | const param_type & | __param | ) |

inline

Sets the parameter set of the distribution.

Parameters

  __param | The new parameter set of the distribution.

Definition at line 2590 of file random.h.

## reset()

template<typename _RealType = double>

void std::uniform_real_distribution< _RealType >::reset | ( |  | ) |

inline

Resets the distribution state.

Does nothing for the uniform real distribution.

Definition at line 2568 of file random.h.

## Friends And Related Symbol Documentation

## operator==

template<typename _RealType = double>

bool operator== | ( | const uniform_real_distribution< _RealType > & | __d1,
|  | const uniform_real_distribution< _RealType > & | __d2 )

friend

Return true if two uniform real distributions have the same parameters.

Definition at line 2652 of file random.h.

The documentation for this class was generated from the following files:

- random.h
- bits/random.tcc